Page MenuHomePhabricator

Brainstorming: ideas to help and support newbies and developers that are new to MediaWiki
Closed, ResolvedPublic

Description

Let's use the Phabricator task to come up with ideas for supporting people who are at a wikimedia event for the first time!

Efforts already in motion:

  • Buddy system
  • Veterans have been asked if they are willing to help newbies, and we now have an identified list of people who are willing to chat with newcomers.
  • WMFr is setting up a "welcome" table at the hackathon to chat with everyone as they walk in the door before the check into the hotel/get settled.

Ideas:

  • Newbie table at the hackathon that is always staffed (veterans get shifts)
  • Physically identify (with lanyard, sash, button, hat) people who are willing to be interrupted/want to help newbies
  • Some sort of break the ice activity, dividing people up into groups based on that they are interested in

Please help by brainstorming here! It will be fun to come up with completely new ideas. Thanks! These ideas can both be used in Lyon and Mexico City. We will have a higher % of newbies in Mexico City.

Event Timeline

Rfarrand claimed this task.
Rfarrand raised the priority of this task from to Normal.
Rfarrand updated the task description. (Show Details)
Rfarrand set Security to None.
Rfarrand added subscribers: Sumit, Eloquence, mgrabovsky and 15 others.
bd808 added a subscriber: bd808.Mar 27 2015, 11:59 PM

I think we should try and get newcomers into a MediaWiki-Vagrant install session for sure. In Zürich I think I ended up running one on the first day and one on the second. Getting a running wiki goes a long way towards being able to piddle with things. It's also a pretty good time to break the ice with folks because there are generally a few problems that pop up to sit and help people work through.

+1 @bd808, i think as a good next step it would be good to explain and discuss our code development, review and deploy process (deploy-process maybe really short and the basics), so we see, what newbies think about these workflows and maybe have ideas, what we can do better. As a positive side-effect: the newcomers should have a running setup to develop with MediaWiki and are able to commit new changes to review. And with the discussions about these topics, we can "break the ice", too :)

+1 to @bd808, mediawiki-vagrant install should be first thing, and then ideally all of us interested in helping new folks would be in the room at the end of the session. So we could mingle and help people transition into work they want to do. And I'd like to point out that Mediawiki-Vagrant helps with work that's outside of the "vagrant list-roles" set of projects. For example, you could use the mediawiki database to work on a completely re-imagined interface to mediawiki. Or the wikimetrics module as an example of how one might set up a python / Flask app on labs.

It would be great if people willing to help would wear a funny hat. Something like this. :) http://www.ebay.com/itm/271561497024

+1 for @bd808 suggestion.

In addition to this it would also be good to get those people involved in building things outside MediaWiki using our APIs and mediawiki oauth provider. We have a bunch of interesting data that could be used to build exciting visualisations (I'm sure @MSyed has some ideas) and it would be interesting to have outsiders explore ways they want to edit outside the current confines of MediaWiki (shameless plug for T86196).

Sadly due to the state of our API to run such a session for newcomers we'd need

  • to have some people at hand to guide them with how to query it and achieve things they want to do.
  • to have someone familiar with the mediawiki oauth stuff to handle login/register
  • maybe some labs experts to explain how they can get them deployed and working.

Wikimedia development is more than just MediaWiki.

Hey guys!

So we brainstormed this at WMFr yesterday and we came up with a few ideas:

-TeamQuiz for the first night. We'll split everyone in teams of 6: Two WMF, Two Europeans, and Two Newbies. With some vine and food, we'll ask questions regarding Lyon, Hackathons, WM movement, etc... Some small prizes in the end.

  • A presentation conference will be held this same evening for newbies. Make them comfortable.

-To distinguish them, we thought of a beret, which is sooooooo french. (Even if I personnaly love the mulet cap). http://www.past.is/LxT7D

-Some other games will be done during the weekend.

-We'll also change the traditional way of presenting. We don't really like the regular tag, then we'll create a coat of arms for everyone. Brace yourself, pictures are coming.

-We'll try to install a kindergarden for everyone who wants to come with children. We thought kids could be a brake for women empowerment.

Best!

So we brainstormed this at WMFr yesterday and we came up with a few ideas:

What is WMFr?

Wikimedia France. I'm very sorry for not being more explicit mate! ;)

Qgil added a comment.Apr 7 2015, 1:32 PM

The discussion is (rightly) focusing in the Wikimedia Hackathon 2015, and it would be useful to say so explicitly in the title and description.

A beret in May... still funny idea, and probably better than a baguette under the arm for hands-free etc. ;)

Something that would help newcomers and actually anybody would be to have a wiki page populated with the non-private information that people has added to their registration: names, profiles, tags, projects, languages... Badges are good, but you still reply on having people in front of you. The bigger the event, the more difficult is to find the right person if you hesitate to ask (which is a frequent problem among newcomers). If the list of participants is public, then everybody will have an easier time to find people interesting and useful to them.

Qgil moved this task from Backlog to Need Discussion on the ECT-April-2015 board.Apr 16 2015, 10:03 AM
Ricordisamoa renamed this task from Brainstorming: ideas to help and support newbies and developers that are new to mediawiki to Brainstorming: ideas to help and support newbies and developers that are new to MediaWiki.Apr 16 2015, 12:44 PM
Qgil added a comment.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

Qgil added a comment.May 27 2015, 10:23 PM

Did someone work on this project during Wikimedia-Hackathon-2015? If so, please update the task with the results. If not, please remove the label.

So I guess this task can be closed after making sure that the good stuff is documented on mw.org on a "For Hackathon/Wikimedia Event organizers" page?

Rfarrand closed this task as Resolved.Jul 24 2015, 6:55 PM